import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:livelike_flutter_sdk_example/all_features_screen.dart';
import 'package:livelike_flutter_sdk_example/chat_only_screen.dart';
import 'package:livelike_flutter_sdk_example/home.dart';
import 'package:livelike_flutter_sdk_example/select_channel.dart';
import 'package:livelike_flutter_sdk_example/widgets_only_screen.dart';

void main() async {
  Get.isLogEnable = true;
  WidgetsFlutterBinding.ensureInitialized();
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: "Test App",
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      onInit: () async {},
      getPages: [
        GetPage(name: Routes.home.toString(), page: () => HomeScreen()),
        GetPage(name: Routes.chatOnly.toString(), page: () => ChatOnlyScreen()),
        GetPage(
            name: Routes.widgetOnly.toString(),
            page: () => WidgetsOnlyScreen()),
        GetPage(
            name: Routes.allfeatures.toString(),
            page: () => AllFeaturesScreen()),
        GetPage(
            name: Routes.selectChannel.toString(), page: () => SelectChannel()),
      ],
      initialRoute: Routes.home.toString(),
    );
  }
}

enum Routes { home, selectChannel, allfeatures, chatOnly, widgetOnly }
