import 'package:livelike_flutter_sdk/src/session.dart';

import 'constants.dart';

class EngagementSDK {
  EngagementSDK(this.clientId) {
    _initSDK(clientId, false, null);
  }

  EngagementSDK.accessToken(this.clientId, String? accessToken) {
    _initSDK(clientId, true, accessToken);
  }

  Stream get accessTokenStream =>
      accessTokenEventChannel.receiveBroadcastStream();
  final String clientId;

  Stream get errorStream => errorEventChannel.receiveBroadcastStream();

  Future<void> _initSDK(
      String clientId, bool usingAccessToken, String? accessToken) async {
    return livelike_method_channel.invokeMethod(initSDKKey, {
      clientIDKey: clientId,
      accessTokenKey: accessToken,
      usingAccessTokenKey: usingAccessToken
    });
  }

  Future<Session> createSession(String programId) async {
    Map result = await (livelike_method_channel
        .invokeMethod(createSessionKey, {programIDKey: programId}));
    return Session(result[programIDKey], result[chatRoomIdKey]);
  }

  Future<ChatSession> createChatSession(String chatRoomId) async {
    await livelike_method_channel
        .invokeMethod(createChatSessionKey, {chatRoomIdKey: chatRoomId});
    return ChatSession(chatRoomId);
  }
}
